/*----------------------------------------------------------------------------
 Copyright:      
 Author:         Radig Ulrich
 Remarks:        
 known Problems: none
 Version:        16.12.2009
 Description:    
------------------------------------------------------------------------------*/

#include <avr/io.h>
#include <avr/interrupt.h>
#include <avr/pgmspace.h>
#include <avr/eeprom.h>
#include <stdlib.h>
#include "usart.h"
#include "rf22.h"

unsigned char rx_tmp[20];

int main(void)
{		
	DDRB |= (1<<0);
	PORTB |= (1<<0);
	for(unsigned long b = 0;b<100000;b++){;asm("nop");};
	
    usart_init(600);
	
	rf22_init();
	rf22_setfreq(RF22FREQ(869.545));

	rf22_rxmode();	
	
	while(1)
	{	
		PORTB |= (1<<0);
		rf22_sendpacket((unsigned char*)"HALLO",5);
		PORTB &= ~(1<<0);
		for(unsigned long b = 0;b<500000;b++){;asm("nop");};
	}	
}


